Forum

No more 'Select & Jump'?

09 December 2015 16:10 #5759
I have an animation accompanied by a sound that is supposed to be triggered when an object is clicked.

I am following this tutorial, but I think Blend4Web's nodes have changed since this video was made, because I don't see the option to add a Select & Jump node. So what is the current way of setting this up?

Here is a screen shot of the node setup I tried instead, but it's not working. I get a "No path from Entry Point!" error message, and I don't understand why.



If anyone can explain how to make an object animate and play a sound when it is selected, I would be very grateful.
09 December 2015 17:56 #5767
1) As I see, you are using old version of b4w
2) As I see, you made somehow two links from the "Hit" socket. This is not allowed behavior. Please try this with the last b4w release.
3) Now 'Select & Jump' node is deprecated. Use Switch Select instead.
See attached sound_and_anim.blend
Also see Logic Editor manual
Alexander (Blend4Web Team)
10 December 2015 05:02 #5781
Thank you!

(1) I will check my B4W version on that computer (I'm not in front of it now). On the computer I am using at the moment B4W 15.11 is installed (I know this because I still have the zipped SDK: blend4web_sdk_free_15_11.zip), however when I look in Blender's Preferences in the Add-ons section, the Blend4Web version reads 15.4.0 - is this a bug/typo?

(2) Is there ever a case when having two connections from one output is allowed in the Logic Editor, or should I always avoid it?

(3) Got it!

I appreciate you attaching the .blend as well. That was very helpful!
10 December 2015 11:08 #5792

(1) I will check my B4W version on that computer (I'm not in front of it now). On the computer I am using at the moment B4W 15.11 is installed (I know this because I still have the zipped SDK: blend4web_sdk_free_15_11.zip), however when I look in Blender's Preferences in the Add-ons section, the Blend4Web version reads 15.4.0 - is this a bug/typo?

Check "File" field in addon settings. It must point to the active plugin __init__.py. If this path not contain B4W sdk you wanted, it could mean that "Scripts" field on "File" tab is not correct or you are using the addon, installed from zip; edit Scripts field or remove this addon with the "Remove" button. Then install the sdk


(2) Is there ever a case when having two connections from one output is allowed in the Logic Editor, or should I always avoid it?

Only one link from output is allowed everywhere and this is limited automatically. Try to reproduce this with the latest b4w please.
Alexander (Blend4Web Team)
10 December 2015 17:13 #5800
Thank you, Alexander.

(1) I will continue looking into this.

(2) I uninstalled the old version of the SDK on my home computer (15.10) and installed the new one (15.11). Now the nodes are fool-proof! It won't let me fork two connections from one output.

(3 - new) While the .blend you sent me is working fine, this one I made is not. Would you mind pointing out what I did wrong?

I really appreciate the help!
10 December 2015 19:16 #5801

(3 - new) While the .blend you sent me is working fine, this one I made is not. Would you mind pointing out what I did wrong?

You forgot to enable the Logic Editor and to select the node tree.
Alexander (Blend4Web Team)
11 December 2015 12:07 #5813
How is that NOOP node made?

How is it possible to add more outputs to a node?
11 December 2015 13:03 #5815

How is that NOOP node made?

You opened the file created in the new version with Blender that has old version of the addon. I think this is 'Switch Select' node. Will mark such nodes as "Unsupported by installed version of b4w addon"
Alexander (Blend4Web Team)
11 December 2015 19:14 #5825
Update:

(1) Removing and re-adding the SDK fixed the issue of the wrong version number being shown. I didn't change the file path at all, but it seems that this refreshed it and now it is displaying correctly.

(3) Thank you Alexander! It's working for me now.
 
Please register or log in to leave a reply.